#========================================================================
# Red Hat - Rocky Linux 8
#========================================================================
.image-rl-8: &image-rl-8
  image: quay.io/igwn/base:el8

.rl8:common:
  extends:
    - .image-rl-8

nds2-client-verify:rl8:
  stage: nds2-client-build
  extends:
    - .rl8:common
    - .rpm-package-verify
    - .nds2-client-verify-only

nds2-client-build:rl8:
  stage: nds2-client-build
  extends:
    - .rl8:common
    - .nds2-client-variables
    - .rpm-package

nds2-client-swig-build:rl8:
  stage: nds2-client-swig-build
  extends:
    - .rl8:common
    - .nds2-client-swig-variables
    - .rpm-package
  needs:
    - nds2-client-build:rl8
